"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const themes_1 = require("../../lib/themes/themes");
const chalk_1 = __importDefault(require("chalk"));
const logger_1 = require("./logger");
exports.findTheme = (theme = 'dracula') => {
    switch (theme) {
        case 'material':
            return themes_1.THEMES.MATERIAL;
        case 'dracula':
            return themes_1.THEMES.DRACULA;
        case 'vscode':
            return themes_1.THEMES.VSCODE;
        default:
            logger_1.phlLog(chalk_1.default.hex('#FFA500')(`"${theme}" is not a known theme - please pass in a valid value (material, vscode or dracula)`));
            logger_1.phlLog(chalk_1.default.hex('#FFA500')(`will fall back to the default theme which is "darcula"`));
            return themes_1.THEMES.DRACULA;
    }
};
//# sourceMappingURL=theme-finder.js.map